package com.pwt.web.service;

import com.pwt.netty.message2.SystemPower;
import com.pwt.web.domain.DianBiaoData;

import java.util.List;

public interface IDianBiaoDataService {

    /**
     * 查询电表数据
     *
     * @param
     * @return
     */
    List<DianBiaoData> selectAll();

    /**
     * 查询电表数据
     *
     * @param
     * @return
     */
    DianBiaoData selectByIp(String ip);

    /**
     * 修改电表数据
     *
     * @param
     * @return
     */
    void updateDianBiaoData(DianBiaoData data);

    /**
     * 新增电表数据
     *
     * @param
     * @return
     */
    void insertDianBiaoData(DianBiaoData data);

    SystemPower initSystemPower();
}
